%define anolis_release 1

Name:           opencsd
Version:        1.4.1
Release:        %{anolis_release}%{?dist}
Summary:        An open source CoreSight(tm) Trace Decode library

License:        BSD-3-Clause
URL:            https://github.com/Linaro/OpenCSD
Source0:        https://github.com/Linaro/OpenCSD/archive/v%{version}.tar.gz

BuildRequires:  patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  make

%description
This library provides an API suitable for the decode of ARM(r)
CoreSight(tm) trace streams.

%package devel
Summary: Development files for the CoreSight(tm) Trace Decode library
Requires: %{name} = %{version}-%{release}

%description devel
The opencsd-devel package contains headers and libraries needed
to develop CoreSight(tm) trace decoders.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Doc files for %{name}

%prep
%setup -q -n OpenCSD-%{version}

%build
cd decoder/build/linux
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
LIB_PATH=%{_lib} make %{?_smp_mflags}

%install
cd decoder/build/linux
PREFIX=%{buildroot}%{_prefix} LIB_PATH=%{_lib} make install DISABLE_STATIC=1 DEF_SO_PERM=755

%generate_compatibility_deps

%check
# no upstream unit tests yet

%files
%license LICENSE
%{_libdir}/*so\.*
%{_bindir}/*
%dir %{abidir}
%{abidir}/*.dump
%{abidir}/*-option.list

%files devel
%doc decoder/docs/prog_guide/*
%{_includedir}/*
# no man files..
%{_libdir}/*so

%files doc
%doc HOWTO.md README.md

%changelog
* Wed Mar 19 2025 Hong Wei Qin <qhw01063182@alibaba-inc.com> - 1.4.1-1
- Update to 1.4.1-1 from 1.4.0-1

* Thu Mar 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.0-1
- init from upstream
